package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

    public class iLearnUserlist {

        @SerializedName("userid")
        @Expose
        private String userid;
        @SerializedName("fname")
        @Expose
        private String fname;
        @SerializedName("lname")
        @Expose
        private String lname;
        @SerializedName("smpin")
        @Expose
        private String smpin;
        @SerializedName("dealer_code")
        @Expose
        private String dealerCode;
        @SerializedName("dealer_name")
        @Expose
        private String dealerName;
        @SerializedName("segment")
        @Expose
        private String segment;
        @SerializedName("segment_str")
        @Expose
        private String segmentStr;
        @SerializedName("profile_photo")
        @Expose
        private String profilePhoto;
        @SerializedName("profile")
        @Expose
        private String profile;

        public String getUserid() {
            return userid;
        }

        public void setUserid(String userid) {
            this.userid = userid;
        }

        public String getFname() {
            return fname;
        }

        public void setFname(String fname) {
            this.fname = fname;
        }

        public String getLname() {
            return lname;
        }

        public void setLname(String lname) {
            this.lname = lname;
        }

        public String getSmpin() {
            return smpin;
        }

        public void setSmpin(String smpin) {
            this.smpin = smpin;
        }

        public String getDealerCode() {
            return dealerCode;
        }

        public void setDealerCode(String dealerCode) {
            this.dealerCode = dealerCode;
        }

        public String getDealerName() {
            return dealerName;
        }

        public void setDealerName(String dealerName) {
            this.dealerName = dealerName;
        }

        public String getSegment() {
            return segment;
        }

        public void setSegment(String segment) {
            this.segment = segment;
        }

        public String getSegmentStr() {
            return segmentStr;
        }

        public void setSegmentStr(String segmentStr) {
            this.segmentStr = segmentStr;
        }

        public String getProfilePhoto() {
            return profilePhoto;
        }

        public void setProfilePhoto(String profilePhoto) {
            this.profilePhoto = profilePhoto;
        }

        public String getProfile() {
            return profile == null ? "" : profile.trim();
        }

        public void setProfile(String profile) {
            this.profile = profile;
        }

        public String getName() {
            return smpin + "-" + (fname == null || fname.trim().isEmpty() ? "" : fname.trim()) + " "
                    + (lname == null || lname.trim().isEmpty() ? "" : lname.trim());
        }

        public String getFullName() {
            return (fname == null || fname.trim().isEmpty() ? "" : fname.trim()) + " "
                    + (lname == null || lname.trim().isEmpty() ? "" : lname.trim());
        }
    }

